<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$solucion=$_POST['solucion'];
$gar_id=limpiar($_POST['gar_id']);
$gard_id=limpiar($_POST['gard_id']);
$gar_art_id=limpiar($_POST['gar_art_id']);
$fecha=date('Y-m-d H:i:s');

if($solucion=='Reparado')
{
	$can7=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where gar_art_id='$gar_art_id' and gard_id='$gard_id' ") or die(mysqli_error($con));  
  	$dato=mysqli_fetch_array($can7);
    $art_id_bod=$dato['art_id_bod']; 
    $estado=$dato['estado']; 
    $gard_cantidad=$dato['gard_cantidad']; 
    if ($estado=='Sin Vender')
    {
      	$can8=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can8);
        $art_cantidad=$dato['art_cantidad'];
        $suma=$art_cantidad+$gard_cantidad;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con));
		$sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='Reparado' Where gard_id='$gard_id'") or die(mysqli_error($con)); 

        $can15=mysqli_query($con,"SELECT * FROM serial_garantias where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con));  
        while($ser=mysqli_fetch_array($can15))
        {
            $gard_codigo=$ser['gard_codigo'];
            $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='sin vender' Where articulos_art_id='$gar_art_id' and se_codigo='$gard_codigo'") or die(mysqli_error($con));
        }
    }
    else
    {
	    $sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='Reparado' Where gard_id='$gard_id'") or die(mysqli_error($con)); 
    }

    $sql=mysqli_query($con,"UPDATE serial_garantias Set gard_estado='Reparado' Where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 


    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Articulo!</strong> Reparado correctamente.
        </div>';
}

if($solucion=='No Reparado')
{
    $can7=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where gar_art_id='$gar_art_id' and gard_id='$gard_id' ") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $art_id_bod=$dato['art_id_bod']; 
    $estado=$dato['estado']; 
    $gard_cantidad=$dato['gard_cantidad']; 

    $sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='No Reparado' Where gard_id='$gard_id'") or die(mysqli_error($con)); 

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Articulo!</strong> Reparado correctamente.
        </div>';
}

if ($solucion=='Cambio')
{
	$can7=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where gar_art_id='$gar_art_id' and gard_id='$gard_id'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $art_id_bod=$dato['art_id_bod']; 
    $estado=$dato['estado']; 
    $gard_cantidad=$dato['gard_cantidad']; 
    if ($estado=='Sin Vender')
    {
        $can8=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can8);
        $art_cantidad=$dato['art_cantidad'];
        $suma=$art_cantidad+$gard_cantidad;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con));

        $sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='Cambio' Where gard_id='$gard_id'") or die(mysqli_error($con)); 
        $sql=mysqli_query($con,"UPDATE serial_garantias Set gard_estado='Cambio' Where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 

        if(isset($_POST['serial']) && !empty($_POST['serial'])) 
        {
            $serial = $_POST['serial'];
            $valores_no_vacios = 0;

            foreach($serial as $valor) 
            {
                if(!empty($valor)) 
                $valores_no_vacios++;
            }
            $valores_no_vacios;
        }

        $number = $valores_no_vacios;  
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  
                if(trim($_POST["serial"][$i] != '') )
                $dato1=mb_strtoupper($_POST["serial"][$i]);  
                {
                    $sql="INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) VALUES ('$dato1','sin vender','$gar_art_id')";mysqli_query($con, $sql);  
                } 
            }
        } 
    }
    else
    {
	    
        if(isset($_POST['serial']) && !empty($_POST['serial'])) 
        {
            $serial = $_POST['serial'];
            $valores_no_vacios = 0;

            foreach($serial as $valor) 
            {
                if(!empty($valor)) 
                $valores_no_vacios++;
            }
            $valores_no_vacios;
        }

        $number = $valores_no_vacios;  
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  
                if(trim($_POST["serial"][$i] != '') )
                $dato1=mb_strtoupper($_POST["serial"][$i]);  
                {
                    $sql="INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) VALUES ('$dato1','sin vender','$gar_art_id')";mysqli_query($con, $sql);  
                } 
            }
        } 
        $sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='Cambio' Where gard_id='$gard_id'") or die(mysqli_error($con)); 
        $sql=mysqli_query($con,"UPDATE serial_garantias Set gard_estado='Cambio' Where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 


    }

    echo  '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Articulo!</strong> Reparado correctamente.
        </div>';
}
if ($solucion=='Nota Credito') 
{
	$can7=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where gar_art_id='$gar_art_id' and gard_id='$gard_id'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $estado=$dato['estado']; 

	$sql=mysqli_query($con,"UPDATE garantia_pro_detalle Set solucion='Nota Credito' Where gard_id='$gard_id'") or die(mysqli_error($con)); 

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Articulo!</strong> Reparado correctamente.
        </div>';
    $sql=mysqli_query($con,"UPDATE serial_garantias Set gard_estado='Nota Credito' Where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 

}  
 
$can7e=mysqli_query($con,"SELECT count(*) AS numrows FROM garantia_pro_detalle where garntias_proveedor_gar_id='$gar_id' and solucion='Pendiente'") or die(mysqli_error($con)); 
$es=mysqli_fetch_array($can7e);
$numrows=$es['numrows'];
if($numrows==0)
{
    $registros=mysqli_query($con,"UPDATE garantias_proveedor Set gar_estado='Solucionado', gar_fecha_solucion='$fecha' Where gar_id='$gar_id'") or die(mysqli_error($con));
}
?>